commit:     cc1316fccc7541540debd2274407024c21b9ac7f
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 20 12:56:14 2023 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Jan 20 13:10:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc1316fc

kde-plasma/plasma-workspace: 5.26.90 version bump

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 kde-plasma/plasma-workspace/Manifest               |   1 +
 .../plasma-workspace-5.26.90.ebuild                | 229 +++++++++++++++++++++
 2 files changed, 230 insertions(+)

diff --git a/kde-plasma/plasma-workspace/Manifest 
b/kde-plasma/plasma-workspace/Manifest
index c434907aa417..e52db83c3114 100644
--- a/kde-plasma/plasma-workspace/Manifest
+++ b/kde-plasma/plasma-workspace/Manifest
@@ -1,2 +1,3 @@
 DIST plasma-workspace-5.25.5.tar.xz 18638932 BLAKE2B 
f83aabf84b775c0bf9d1e60db03f94400e3363fa8f45767bdc471706682cda7323fae4948cffa156188cc7ed2d30d05349a385dd370ef941c16464ddddf8fa01
 SHA512 
0c6cf5104b584b34a8bcb45d57069fed3b25e871fccf1bfefd47d8fc1b595867c1c4f0fcfcc0e07847534e1e77ce8ed1f3be1ac6cb7eea8669a9c7649c8466cb
 DIST plasma-workspace-5.26.5.tar.xz 17470516 BLAKE2B 
4809ad1ec93e4e6d27b17197457b76f5971ea6c74ac64f64e68ecfe828068f7f33af69bdd03411a4cd0cf8fb26080ebf9c85741eacc0e53d6b782af4eabb4b8a
 SHA512 
9fb840d3f36e1cb25126a715d5599bf89680b0c3ff2a674f07f83246dc15358e15c7e31565d39570e33f6b4d3292822d5fdde05e4795f2eef13e1a0ff2f1c687
+DIST plasma-workspace-5.26.90.tar.xz 18481828 BLAKE2B 
1594718737ae9f7be98a6e06b691e61bb519cf73755af01ce0a5a1b58a2172a9003974e2a85d0c000edf579139e6ef9a8800d071167812522f492f6b17de7479
 SHA512 
ecd3a107496e7a6d1a9e9093118f9cf4e1a8746140302e201dc48ba896b5b7d51e4dfa13bd87c3a7e8548221c978470d0635fe1221205a412b66e5c585a634ac

diff --git a/kde-plasma/plasma-workspace/plasma-workspace-5.26.90.ebuild 
b/kde-plasma/plasma-workspace/plasma-workspace-5.26.90.ebuild
new file mode 100644
index 000000000000..fb9ff8c3212c
--- /dev/null
+++ b/kde-plasma/plasma-workspace/plasma-workspace-5.26.90.ebuild
@@ -0,0 +1,229 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_HANDBOOK="optional"
+ECM_TEST="forceoptional"
+KFMIN=5.102.0
+PVCUT=$(ver_cut 1-3)
+QTMIN=5.15.7
+VIRTUALX_REQUIRED="test"
+inherit ecm plasma.kde.org
+
+DESCRIPTION="KDE Plasma workspace"
+
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="5"
+KEYWORDS="~amd64"
+IUSE="appstream +calendar +fontconfig geolocation gps +policykit
+screencast +semantic-desktop telemetry +wallpaper-metadata"
+
+REQUIRED_USE="gps? ( geolocation )"
+RESTRICT="test"
+
+# kde-frameworks/kwindowsystem[X]: Uses KX11Extras
+# slot op: various private QtWaylandClient headers
+COMMON_DEPEND="
+       dev-libs/icu:=
+       >=dev-libs/wayland-1.15
+       >=dev-qt/qtdbus-${QTMIN}:5
+       >=dev-qt/qtdeclarative-${QTMIN}:5[widgets]
+       >=dev-qt/qtgui-${QTMIN}:5=[jpeg,libinput]
+       >=dev-qt/qtnetwork-${QTMIN}:5
+       >=dev-qt/qtsql-${QTMIN}:5
+       >=dev-qt/qtsvg-${QTMIN}:5
+       >=dev-qt/qtwayland-${QTMIN}:5=
+       >=dev-qt/qtwidgets-${QTMIN}:5
+       >=dev-qt/qtx11extras-${QTMIN}:5
+       >=dev-qt/qtxml-${QTMIN}:5
+       >=kde-frameworks/kactivities-${KFMIN}:5
+       >=kde-frameworks/kactivities-stats-${KFMIN}:5
+       >=kde-frameworks/karchive-${KFMIN}:5
+       >=kde-frameworks/kauth-${KFMIN}:5
+       >=kde-frameworks/kbookmarks-${KFMIN}:5
+       >=kde-frameworks/kcompletion-${KFMIN}:5
+       >=kde-frameworks/kconfig-${KFMIN}:5
+       >=kde-frameworks/kconfigwidgets-${KFMIN}:5
+       >=kde-frameworks/kcoreaddons-${KFMIN}:5
+       >=kde-frameworks/kcrash-${KFMIN}:5
+       >=kde-frameworks/kdbusaddons-${KFMIN}:5
+       >=kde-frameworks/kdeclarative-${KFMIN}:5
+       >=kde-frameworks/kded-${KFMIN}:5
+       >=kde-frameworks/kglobalaccel-${KFMIN}:5
+       >=kde-frameworks/kguiaddons-${KFMIN}:5
+       >=kde-frameworks/ki18n-${KFMIN}:5
+       >=kde-frameworks/kiconthemes-${KFMIN}:5
+       >=kde-frameworks/kidletime-${KFMIN}:5
+       >=kde-frameworks/kinit-${KFMIN}:5
+       >=kde-frameworks/kio-${KFMIN}:5
+       >=kde-frameworks/kitemmodels-${KFMIN}:5
+       >=kde-frameworks/kitemviews-${KFMIN}:5
+       >=kde-frameworks/kjobwidgets-${KFMIN}:5
+       >=kde-frameworks/knewstuff-${KFMIN}:5
+       >=kde-frameworks/knotifications-${KFMIN}:5
+       >=kde-frameworks/knotifyconfig-${KFMIN}:5
+       >=kde-frameworks/kpackage-${KFMIN}:5
+       >=kde-frameworks/kpeople-${KFMIN}:5
+       >=kde-frameworks/krunner-${KFMIN}:5
+       >=kde-frameworks/kservice-${KFMIN}:5
+       >=kde-frameworks/ktexteditor-${KFMIN}:5
+       >=kde-frameworks/ktextwidgets-${KFMIN}:5
+       >=kde-frameworks/kunitconversion-${KFMIN}:5
+       >=kde-frameworks/kwallet-${KFMIN}:5
+       >=kde-frameworks/kwayland-${KFMIN}:5
+       >=kde-frameworks/kwidgetsaddons-${KFMIN}:5
+       >=kde-frameworks/kwindowsystem-${KFMIN}:5[X]
+       >=kde-frameworks/kxmlgui-${KFMIN}:5
+       >=kde-frameworks/plasma-${KFMIN}:5
+       >=kde-frameworks/prison-${KFMIN}:5[qml]
+       >=kde-frameworks/solid-${KFMIN}:5
+       >=kde-plasma/breeze-${PVCUT}:5
+       >=kde-plasma/kscreenlocker-${PVCUT}:5
+       >=kde-plasma/kwin-${PVCUT}:5
+       >=kde-plasma/layer-shell-qt-${PVCUT}:5
+       >=kde-plasma/libkscreen-${PVCUT}:5
+       >=kde-plasma/libksysguard-${PVCUT}:5
+       >=kde-plasma/libkworkspace-${PVCUT}:5
+       >=media-libs/phonon-4.11.0
+       sci-libs/libqalculate:=
+       sys-libs/zlib
+       x11-libs/libICE
+       x11-libs/libSM
+       x11-libs/libX11
+       x11-libs/libXau
+       x11-libs/libxcb
+       x11-libs/libXcursor
+       x11-libs/libXfixes
+       x11-libs/libXrender
+       x11-libs/libXtst
+       x11-libs/xcb-util
+       appstream? ( dev-libs/appstream[qt5] )
+       calendar? ( >=kde-frameworks/kholidays-${KFMIN}:5 )
+       fontconfig? (
+               >=dev-qt/qtprintsupport-${QTMIN}:5
+               media-libs/fontconfig
+               x11-libs/libXft
+               x11-libs/xcb-util-image
+       )
+       geolocation? ( >=kde-frameworks/networkmanager-qt-${KFMIN}:5 )
+       gps? ( sci-geosciences/gpsd )
+       policykit? (
+               sys-auth/polkit-qt
+               virtual/libcrypt:=
+       )
+       screencast? (
+               >=dev-qt/qtgui-${QTMIN}:5=[egl]
+               >=kde-plasma/kpipewire-${PVCUT}:5
+               media-libs/libglvnd
+               >=media-video/pipewire-0.3:=
+               x11-libs/libdrm
+       )
+       semantic-desktop? ( >=kde-frameworks/baloo-${KFMIN}:5 )
+       telemetry? ( dev-libs/kuserfeedback:5 )
+       wallpaper-metadata? ( kde-apps/libkexiv2:5 )
+"
+DEPEND="${COMMON_DEPEND}
+       >=dev-libs/plasma-wayland-protocols-1.6.0
+       >=dev-qt/qtconcurrent-${QTMIN}:5
+       >=dev-util/wayland-scanner-1.19.0
+       x11-base/xorg-proto
+       fontconfig? ( x11-libs/libXrender )
+       test? ( >=dev-libs/wayland-protocols-1.24 )
+"
+RDEPEND="${COMMON_DEPEND}
+       app-text/iso-codes
+       >=dev-qt/qdbus-${QTMIN}:*
+       >=dev-qt/qtgraphicaleffects-${QTMIN}:5
+       >=dev-qt/qtpaths-${QTMIN}:5
+       >=dev-qt/qtquickcontrols-${QTMIN}:5[widgets]
+       >=dev-qt/qtquickcontrols2-${QTMIN}:5
+       kde-apps/kio-extras:5
+       >=kde-frameworks/kirigami-${KFMIN}:5
+       >=kde-frameworks/kquickcharts-${KFMIN}:5
+       >=kde-plasma/milou-${PVCUT}:5
+       >=kde-plasma/plasma-integration-${PVCUT}:5
+       sys-apps/dbus
+       x11-apps/xmessage
+       x11-apps/xprop
+       x11-apps/xrdb
+       x11-apps/xsetroot
+       !<kde-plasma/breeze-5.22.90:5
+       !<kde-plasma/plasma-desktop-5.23.90:5
+       policykit? ( sys-apps/accountsservice )
+"
+BDEPEND="
+       >=dev-qt/qtwaylandscanner-${QTMIN}:5
+       >=kde-frameworks/kcmutils-${KFMIN}:5
+       virtual/pkgconfig
+"
+PDEPEND=">=kde-plasma/kde-cli-tools-${PVCUT}:5"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-5.24.80-split-libkworkspace.patch" # downstream
+       "${FILESDIR}/${PN}-5.22.5-krunner-cwd-at-home.patch" # TODO upstream: 
KDE-bug 432975, bug 767478
+)
+
+src_prepare() {
+       ecm_src_prepare
+
+       cmake_comment_add_subdirectory libkworkspace
+       # delete colliding libkworkspace translations
+       find po -type f -name "*po" -and -name "libkworkspace*" -delete || die
+
+       # TODO: try to get a build switch upstreamed
+       if ! use screencast; then
+               ecm_punt_bogus_dep KPipeWire
+               sed -e "s/^pkg_check_modules.*PipeWire/#&/" -i CMakeLists.txt 
|| die
+       fi
+
+       # TODO: try to get a build switch upstreamed
+       if use geolocation; then
+               use gps || sed -e "s/^pkg_check_modules.*LIBGPS/#&/" \
+                       -i dataengines/geolocation/CMakeLists.txt || die
+       fi
+
+       if ! use policykit; then
+               cmake_run_in kcms cmake_comment_add_subdirectory users
+       fi
+
+       if ! use fontconfig; then
+               ecm_punt_bogus_dep XCB IMAGE
+               sed -e "s/check_X11_lib(Xft)/#&/" -i CMakeLists.txt || die
+       fi
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_xembed-sni-proxy=OFF
+               -DGLIBC_LOCALE_GEN=$(usex policykit)
+               $(cmake_use_find_package appstream AppStreamQt)
+               $(cmake_use_find_package calendar KF5Holidays)
+               $(cmake_use_find_package fontconfig Fontconfig)
+               $(cmake_use_find_package geolocation KF5NetworkManagerQt)
+               $(cmake_use_find_package semantic-desktop KF5Baloo)
+               $(cmake_use_find_package telemetry KUserFeedback)
+       )
+
+       ecm_src_configure
+}
+
+src_install() {
+       ecm_src_install
+
+       # default startup and shutdown scripts
+       insinto /etc/xdg/plasma-workspace/env
+       doins "${FILESDIR}"/10-agent-startup.sh
+
+       insinto /etc/xdg/plasma-workspace/shutdown
+       doins "${FILESDIR}"/10-agent-shutdown.sh
+       fperms +x /etc/xdg/plasma-workspace/shutdown/10-agent-shutdown.sh
+}
+
+pkg_postinst () {
+       ecm_pkg_postinst
+
+       elog "To enable gpg-agent and/or ssh-agent in Plasma sessions,"
+       elog "edit ${EPREFIX}/etc/xdg/plasma-workspace/env/10-agent-startup.sh"
+       elog "and 
${EPREFIX}/etc/xdg/plasma-workspace/shutdown/10-agent-shutdown.sh"
+}

Reply via email to